<?php
/*
* Dany jest kwadrat o boku a = 12
* Oblicz obwód, pole i przekątną kwadratu
*/
$a = 12;
$p = $a**2; // pole kwadratu
$o = $a*4; // obwód kwadratu
$q = $a*sqrt(2); // przekątna kwadratu, sqrt oznacza pierwiastek

printf("Pole kwadratu o boku %.1f wynosi %.1f \n", $a, $p);
printf("Obwód kwadratu o boku %.1f wynosi %.1f \n", $a, $o);
printf("Przekątna kwadratu o boku %.1f wynosi %.1f \n", $a, $q);

/*
* W trójkącie prostokątnym o bokach abc bok a = 25, b = 12
* a i b są przyprostokątnymi, c jest przeciwprostokątną
* Oblicz obwód i pole trójkąta
*/
$a = 25;
$b = 12;
$c = sqrt($a**2 + $b**2); // sqrt oznacza pierwiastek
$o = $a + $b + $c; // obwód trójkąta
$po = $o / 2; // połowa obwodu trójkąta
$p = sqrt($po*($po-$a)*($po-$b)*($po-$c)); // pole trójkąta

printf("Pole trójkąta o bokach a=%.1f, b=%.1f, c=%.1f wynosi %.1f".PHP_EOL, $a, $b, $c, $p);
printf("Obwód trójkąta o bokach a=%.1f, b=%.1f, c=%.1f wynosi %.1f".PHP_EOL, $a, $b, $c, $o);

/*
* Dane jest koło o średnicy r = 45
* Oblicz pole i obwód koła
*/
$r = 45;
$p = pi()*($r**2); // pole koła, π pobieramy z funkcji pi()
$o = 2*pi()*$r; // obwód koła

printf("Pole koła o promieniu %.1f wynosi %.1f".PHP_EOL, $r, $p);
printf("Obwód koła o promieniu %.1f wynosi %.1f".PHP_EOL, $r, $o);